### File

`packages/ecl/components/ecl-media-container/ecl-media-container-item.directive.ts`

### Description

Adds styling and functionality to the media container item /image.

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

Selector | `[eclMediaContainerItem], img[eclMediaContainerImage]`

### Index

###### Properties
contentIframe el Public isVideo
###### Methods
setIframeUrl getCssClasses
###### Inputs
ratio class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Constructor

`constructor()`

### Inputs

ratio
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`

### Methods

setIframeUrl
`setIframeUrl()`
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

contentIframe
Type : `EclMediaContainerIframeDirective`
Decorators : `@ContentChild(EclMediaContainerIframeDirective, {static: false})`

el
Type : `unknown`
Default value : `inject(ElementRef)`

Public isVideo
Type : `unknown`
Default value : `false`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""